OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
BaseBBox< Vec3T > Struct Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for BaseBBox< Vec3T >:

## Public Member Functions
bool | operator== (const BaseBBox &rhs) const
bool | operator!= (const BaseBBox &rhs) const
const Vec3T & | operator[] (int i) const
Vec3T & | operator[] (int i)
Vec3T & | min ()
Vec3T & | max ()
const Vec3T & | min () const
const Vec3T & | max () const
BaseBBox & | translate (const Vec3T &xyz)
BaseBBox & | expand (const Vec3T &xyz)
| Expand this bounding box to enclose point `xyz`.
BaseBBox & | expand (const BaseBBox &bbox)
| Expand this bounding box to enclose the given bounding box.
BaseBBox & | intersect (const BaseBBox &bbox)
| Intersect this bounding box with the given bounding box.
bool | isInside (const Vec3T &xyz)

## Public Attributes
Vec3T | mCoord [2]

## Protected Member Functions
| BaseBBox ()
| BaseBBox (const Vec3T &min, const Vec3T &max)

## Constructor & Destructor Documentation

## ◆ BaseBBox() [1/2]

template<typename Vec3T >

BaseBBox | ( |  | ) |
| inline protected

## ◆ BaseBBox() [2/2]

template<typename Vec3T >

BaseBBox | ( | const Vec3T & | min,
|  | const Vec3T & | max )
| inline protected

## Member Function Documentation

## ◆ expand() [1/2]

template<typename Vec3T >

BaseBBox & expand | ( | const BaseBBox< Vec3T > & | bbox | ) |
| inline

Expand this bounding box to enclose the given bounding box.

## ◆ expand() [2/2]

template<typename Vec3T >

BaseBBox & expand | ( | const Vec3T & | xyz | ) |
| inline

Expand this bounding box to enclose point `xyz`.

## ◆ intersect()

template<typename Vec3T >

BaseBBox & intersect | ( | const BaseBBox< Vec3T > & | bbox | ) |
| inline

Intersect this bounding box with the given bounding box.

## ◆ isInside()

template<typename Vec3T >

bool isInside | ( | const Vec3T & | xyz | ) |
| inline

## ◆ max() [1/2]

template<typename Vec3T >

Vec3T & max | ( |  | ) |
| inline

## ◆ max() [2/2]

template<typename Vec3T >

const Vec3T & max | ( |  | ) | const
| inline

## ◆ min() [1/2]

template<typename Vec3T >

Vec3T & min | ( |  | ) |
| inline

## ◆ min() [2/2]

template<typename Vec3T >

const Vec3T & min | ( |  | ) | const
| inline

## ◆ operator!=()

template<typename Vec3T >

bool operator!= | ( | const BaseBBox< Vec3T > & | rhs | ) | const
| inline

## ◆ operator==()

template<typename Vec3T >

bool operator== | ( | const BaseBBox< Vec3T > & | rhs | ) | const
| inline

## ◆ operator[]() [1/2]

template<typename Vec3T >

Vec3T & operator[] | ( | int | i | ) |
| inline

## ◆ operator[]() [2/2]

template<typename Vec3T >

const Vec3T & operator[] | ( | int | i | ) | const
| inline

## ◆ translate()

template<typename Vec3T >

BaseBBox & translate | ( | const Vec3T & | xyz | ) |
| inline

## Member Data Documentation

## ◆ mCoord

template<typename Vec3T >

Vec3T mCoord[2]